#ifndef KAPPBAR_H
#define KAPPBAR_H

#include <qvariant.h>
#include <qmainwindow.h>
#include <qpixmap.h>
#include <qimage.h>
#include "bg.xpm"
#include "top.xpm"
#include "bot.xpm"
#include <qlistview.h>
class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QAction;
class QActionGroup;
class QToolBar;
class QPopupMenu;
class QLabel;
class QTabWidget;
class QWidget;
class QIconView;
class QIconViewItem;
class QFrame;

class kappbar : public QWidget
{
    Q_OBJECT

public:
    kappbar( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    ~kappbar();
     void KAppBarSetTheme(QPixmap maintop, QPixmap mainbg , QPixmap tabbg , QPixmap mainbot,QPixmap mask);

    QLabel* backbg;
    QLabel* topbg;
    QLabel* botbg;

    //QLabel* pixmapLabel7;
    
    QTabWidget* tab;
    QListView* list1;
    QFrame* frame3;
    
    QLabel* textLabel1;
    QLabel* textLabel2;
    
    QWidget * parentRef;
    QWidget * widgetarray[100];    
    QListView * listarray[100]; 



public slots:
	void startApp( QListViewItem * item);
	void createTab();
protected:
    QHBoxLayout* frame3Layout;

protected slots:
    virtual void languageChange();

     QStringList files;
     QString apps;
     int numberoftabs; 		
/* theme  support  */

private:
	QPixmap top_banner;
	QPixmap back_banner;
	QPixmap bot_banner;
	QPixmap item_banner;
	QPixmap tab_banner;


};

#endif // KAPPBAR_H
